Bug 972322 - [abrt] gramps-3.4.2-1.fc18: g_bsearch_array_lookup_fuzzy: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] gramps-3.4.2-1.fc18: g_bsearch_array_lookup_fuzzy: Process /usr/bin/py...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gramps (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:b3bfabf5f1feb874ebd49e859b7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 08:41 EDT by jason.rauch
Modified: 2014-02-05 16:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:43:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (74.58 KB, text/plain)
2013-06-08 08:41 EDT, jason.rauch
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-08 08:41 EDT, jason.rauch
no flags Details
File: core_backtrace (2.76 KB, text/plain)
2013-06-08 08:41 EDT, jason.rauch
no flags Details
File: dso_list (14.27 KB, text/plain)
2013-06-08 08:41 EDT, jason.rauch
no flags Details
File: environ (1.55 KB, text/plain)
2013-06-08 08:41 EDT, jason.rauch
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-08 08:41 EDT, jason.rauch
no flags Details
File: maps (69.17 KB, text/plain)
2013-06-08 08:41 EDT, jason.rauch
no flags Details
File: open_fds (2.60 KB, text/plain)
2013-06-08 08:41 EDT, jason.rauch
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-06-08 08:41 EDT, jason.rauch
no flags Details

  None (edit)
Description jason.rauch 2013-06-08 08:41:28 EDT
Description of problem:
Went to pull up a birth record and program crashed

Version-Release number of selected component:
gramps-3.4.2-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/python -O /usr/share/gramps/gramps.py
crash_function: g_bsearch_array_lookup_fuzzy
executable:     /usr/bin/python2.7
kernel:         3.8.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun  8 08:33:41 localhost abrt[2139]: Saved core dump of pid 1980 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-06-08-08:33:34-1980 (275546112 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_bsearch_array_lookup_fuzzy at ../glib/gbsearcharray.h:154
 #1 handler_list_lookup at gsignal.c:419
 #4 gtk_widget_event_internal at gtkwidget.c:4912
 #5 gtk_widget_event at gtkwidget.c:4814
 #6 gtk_main_do_event at gtkmain.c:1639
 #12 gtk_main at gtkmain.c:1257
 #13 _wrap_gtk_main at ./gtk.override:1240
 #14 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4082
 #15 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
 #16 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4184
Comment 1 jason.rauch 2013-06-08 08:41:31 EDT
Created attachment 758527 [details]
File: backtrace
Comment 2 jason.rauch 2013-06-08 08:41:34 EDT
Created attachment 758528 [details]
File: cgroup
Comment 3 jason.rauch 2013-06-08 08:41:36 EDT
Created attachment 758529 [details]
File: core_backtrace
Comment 4 jason.rauch 2013-06-08 08:41:39 EDT
Created attachment 758530 [details]
File: dso_list
Comment 5 jason.rauch 2013-06-08 08:41:42 EDT
Created attachment 758531 [details]
File: environ
Comment 6 jason.rauch 2013-06-08 08:41:44 EDT
Created attachment 758532 [details]
File: limits
Comment 7 jason.rauch 2013-06-08 08:41:47 EDT
Created attachment 758533 [details]
File: maps
Comment 8 jason.rauch 2013-06-08 08:41:50 EDT
Created attachment 758534 [details]
File: open_fds
Comment 9 jason.rauch 2013-06-08 08:41:52 EDT
Created attachment 758535 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2013-12-21 08:55:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 16:43:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.